Package com.ocient.jdbc.proto

# Interface PlanProtocol.ModifySchemaOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ModifySchemaOperator`, `PlanProtocol.ModifySchemaOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ModifySchemaOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getExceptionColumns​(int index)` | `repeated string exceptionColumns = 7;`
`com.google.protobuf.ByteString` | `getExceptionColumnsBytes​(int index)` | `repeated string exceptionColumns = 7;`
`int` | `getExceptionColumnsCount()` | `repeated string exceptionColumns = 7;`
`List<String>` | `getExceptionColumnsList()` | `repeated string exceptionColumns = 7;`
`boolean` | `getExpressionNullable​(int index)` | Whether or not the expressions are nullable
`int` | `getExpressionNullableCount()` | Whether or not the expressions are nullable
`List<Boolean>` | `getExpressionNullableList()` | Whether or not the expressions are nullable
`PlanProtocol.PostfixExpression` | `getExpressions​(int index)` | The postfix expressions
`int` | `getExpressionsCount()` | The postfix expressions
`List<PlanProtocol.PostfixExpression>` | `getExpressionsList()` | The postfix expressions
`PlanProtocol.PostfixExpressionOrBuilder` | `getExpressionsOrBuilder​(int index)` | The postfix expressions
`List<? extends PlanProtocol.PostfixExpressionOrBuilder>` | `getExpressionsOrBuilderList()` | The postfix expressions
`String` | `getExtendNames​(int index)` | The names for the result of each postfix expression
`com.google.protobuf.ByteString` | `getExtendNamesBytes​(int index)` | The names for the result of each postfix expression
`int` | `getExtendNamesCount()` | The names for the result of each postfix expression
`List<String>` | `getExtendNamesList()` | The names for the result of each postfix expression
`String` | `getExtendTypes​(int index)` | The result data type for each postfix expression
`com.google.protobuf.ByteString` | `getExtendTypesBytes​(int index)` | The result data type for each postfix expression
`int` | `getExtendTypesCount()` | The result data type for each postfix expression
`List<String>` | `getExtendTypesList()` | The result data type for each postfix expression
`long` | `getGetRidOfExtends​(int index)` | the extendedt columns being projected out
`int` | `getGetRidOfExtendsCount()` | the extendedt columns being projected out
`List<Long>` | `getGetRidOfExtendsList()` | the extendedt columns being projected out
`long` | `getGetRidOfInputs​(int index)` | the input columns being projected out
`int` | `getGetRidOfInputsCount()` | the input columns being projected out
`List<Long>` | `getGetRidOfInputsList()` | the input columns being projected out

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getExtendNamesList

List<String> getExtendNamesList()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### getExtendNamesCount

int getExtendNamesCount()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### getExtendNames

String getExtendNames​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### getExtendNamesBytes

com.google.protobuf.ByteString getExtendNamesBytes​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### getExpressionsList

List<PlanProtocol.PostfixExpression> getExpressionsList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressions

PlanProtocol.PostfixExpression getExpressions​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsCount

int getExpressionsCount()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsOrBuilderList

List<? extends PlanProtocol.PostfixExpressionOrBuilder> getExpressionsOrBuilderList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsOrBuilder

PlanProtocol.PostfixExpressionOrBuilder getExpressionsOrBuilder​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExtendTypesList

List<String> getExtendTypesList()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### getExtendTypesCount

int getExtendTypesCount()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### getExtendTypes

String getExtendTypes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### getExtendTypesBytes

com.google.protobuf.ByteString getExtendTypesBytes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### getExpressionNullableList

List<Boolean> getExpressionNullableList()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### getExpressionNullableCount

int getExpressionNullableCount()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### getExpressionNullable

boolean getExpressionNullable​(int index)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### getGetRidOfInputsList

List<Long> getGetRidOfInputsList()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### getGetRidOfInputsCount

int getGetRidOfInputsCount()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### getGetRidOfInputs

long getGetRidOfInputs​(int index)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### getGetRidOfExtendsList

List<Long> getGetRidOfExtendsList()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### getGetRidOfExtendsCount

int getGetRidOfExtendsCount()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### getGetRidOfExtends

long getGetRidOfExtends​(int index)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### getExceptionColumnsList

List<String> getExceptionColumnsList()
`repeated string exceptionColumns = 7;`

### getExceptionColumnsCount

int getExceptionColumnsCount()
`repeated string exceptionColumns = 7;`

### getExceptionColumns

String getExceptionColumns​(int index)
`repeated string exceptionColumns = 7;`

### getExceptionColumnsBytes

com.google.protobuf.ByteString getExceptionColumnsBytes​(int index)
`repeated string exceptionColumns = 7;`